// 自动生成模板UnitUser
package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
)

// UnitUser 结构体
// 如果含有time.Time 请自行import time包
type UnitUser struct {
	global.GVA_MODEL
	UnitId *int   `json:"unitId" form:"unitId" gorm:"column:unit_id;comment:;type:bigint"`
	UUID   string `json:"uuid" form:"uuid" gorm:"comment:用户UUID"` // 用户UUID

	//Username    string `json:"userName" gorm:"comment:用户登录名"`                                                 // 用户登录名
	//NickName    string `json:"nickName" gorm:"default:系统用户;comment:用户昵称"`                                     // 用户昵称
	//SideMode    string `json:"sideMode" gorm:"default:dark;comment:用户侧边主题"`                                   // 用户侧边主题
	//HeaderImg   string `json:"headerImg" gorm:"default:http://qmplusimg.henrongyi.top/head.png;comment:用户头像"` // 用户头像
	//BaseColor   string `json:"baseColor" gorm:"default:#fff;comment:基础颜色"`                                    // 基础颜色
	//ActiveColor string `json:"activeColor" gorm:"default:#1890ff;comment:活跃颜色"`                               // 活跃颜色
	//AuthorityId string `json:"authorityId" gorm:"default:888;comment:用户角色ID"`                                 // 用户角色ID
	//OpenId      string `json:"openId" gorm:"comment:openid"`                                                  // 小程序用户id
	//WechatId    string `json:"wechatId" gorm:"comment:wechatid"`                                              // 微信公众号用户id
	//UnionId     string `json:"unionId" gorm:"comment:unionid"`                                                // 组合id
	//
	//UnitName        string `json:"unitName" form:"unitName" gorm:"column:unit_name;comment:单位名称;type:varchar(200);"`
	//Period          string `json:"period" form:"period" gorm:"column:period;comment:期编号;type:varchar(40);"`
	//UnitIntegral    *int   `json:"unitIntegral" form:"unitIntegral" gorm:"column:unit_integral;comment:现有积分;type:int"`
	//UnitMaxIntegral *int   `json:"unitMaxIntegral" form:"unitMaxIntegral" gorm:"column:unit_max_integral;comment:满分;type:int"`
	//Remark          string `json:"remark" form:"remark" gorm:"column:remark;comment:单位类型;type:varchar(600);"`
}

type UnitUserVo struct {
	UnitId *int     `json:"unitId" form:"unitId"`
	UUID   []string `json:"uuid" form:"uuid"` // 用户UUID
}

// TableName UnitUser 表名
func (UnitUser) TableName() string {
	return "unit_user"
}
